<?php
/**
 * Search landing page
 */

$search_fields = array(
	'gender',
	'seeking_gender',
	'match_minimum_age',
	'match_maximum_age',
	'seeking_relationship',
/*	'state_nation', */
	'sort',
	'zip_code',
	'match_maximum_distance'
);

$user = elgg_get_logged_in_user_entity();
if ($user) {
	$search_defaults = array();
	foreach ($search_fields as $name) {
		$value = $user->$name;
		if (!$value || empty($value)) {
			$value = null;
		}
		$search_defaults[$name] = $value;
	}
}

$body = elgg_view_form('mfp_search/search',
	array(
		'action' => '/search',
		'method' => 'get'
	),
	array(
		'defaults' => $search_defaults
	)
);

if (!elgg_is_logged_in()) {
	$sidebar = elgg_view_form("login");
} else {
	$sidebar = elgg_view('members/sidebar');
}

$layout = elgg_view_layout('one_sidebar', array(
	'content' => $body,
	'sidebar' => $sidebar
));

$title = elgg_echo('search', array("\"{$params['query']}\""));

echo elgg_view_page($title, $layout);
