<?php
/**
 * MFP search.
 *
 * This is exactly the same as the core search, but only allows a search of type
 * mfp_search.  This will hopefully speed things up.
 *
 * This is also compatible with the original search.  Simple remove the
 * search pagehandler from start.php
 */

// only perform a mfp_search type search.  Ignore everything else.
$results = elgg_trigger_plugin_hook('search', 'mfp_search', $params, array());

$limit = get_input('limit', 10);
$offset = get_input('offset', 0);

// set up search params
$params = array(
	'offset' => $offset,
	'limit' => $limit,
	// hard code search type.
	'search_type' => 'mfp_search',
	'mfp_list' => true,
	'pagination' => true
);

$results_html = '';

if ((is_array($results['entities']) && $results['count']) || (get_input('getmore') && get_input('mfp_matches'))) {
	$view = search_get_search_view($params, 'list');
	if ($view) {
		$results_html .= elgg_view($view, array('results' => $results, 'params' => $params));
	}
}

if (!$results_html) {
	$body .= elgg_view_title(elgg_echo('search:no_results'));
} else {
	$body .= $results_html;
}

// this is passed the original params because we don't care what actually
// matched (which is out of date now anyway).
// we want to know what search type it is.
$layout_view = search_get_search_view($params, 'layout');
$title = elgg_echo('mfp_search:results');

$layout = elgg_view($layout_view, array(
	'params' => $params,
	'body' => $body
));

echo elgg_view_page($title, $layout);
