define(['require', 'jquery', 'elgg', 'mfp_search/jquery-mobile-events'], function(require, $, elgg, jquerymobileevents) {

    // not sure why but this seems to be needed for swipeleft/swiperight to actually fire
    $('li.matches-match').on('swipe', function(e) {
        return;
    });


    // show the first one
    $('.matches-match').first().show();

    // go through the profiles
    $(document).on('click', '.matches-nextprofile', function(e) {
        e.preventDefault();
        var $parent = $(this).parents('li.matches-match').first();
        nextProfile($parent);
    });

    // add a crush
    $(document).on('click', '.matches-addcrush', function(e) {
        e.preventDefault();
        var href = $(this).attr('href');
        var $match = $(this).parents('li.matches-match').first();

        $match.find('.loader').addClass('loading');

        elgg.action(href, {
            complete: function() {
                $match.find('.loader').removeClass('loading');
                nextProfile($match, true);
            }
        });
    });


    $(document).on('swiperight', 'li.matches-match', function(e) {
        // get the href of the addcrush url
        var $match = $(this);
        var href = $(this).find('.matches-addcrush').first().attr('href');

        $match.find('.loader').addClass('loading');
        elgg.action(href, {
            complete: function() {
                $match.find('.loader').removeClass('loading');
                nextProfile($match, true);
            }
        });
    });


    $(document).on('swipeleft', 'li.matches-match', function(e) {
        nextProfile($(this));
    });


    var nextProfile = function($match, remove) {
        var $sibling = $match.next();

        // should we remove this match?
        if (typeof remove === 'undefined') {
            remove = false;
        }

        if (window.nextprofile) {
            return; // already in progress
        }
        window.nextprofile = 1; // prevent simultaneous calls

        if (!$sibling.length) {

            // see if we have a get-more url
            var more = $match.attr('data-next');
            if (!more.length) {
                window.nextprofile = 0;
                return;
            }

            $match.find('.loader').addClass('loading');
            // we have a url, try to fetch more
            elgg.get(more, {
                data: {
                   getmore: 1 
                },
                headers: {"X-Requested-With": "XMLHttpRequest"},
                success: function(result) {

                    $(result).insertAfter($match);
                    // re-initialize swipe on new elements
                    $('li.matches-match').on('swipe', function(e) {
                        return;
                    });
                    
                    window.nextprofile = 0;
                    nextProfile($match, remove);
                }
            });

            return;
        }

        $match.find('.loader').removeClass('loading');

        // if we reach the end lets loop back to the beginning
        var nexturl = $sibling.attr('data-next');
        if (!nexturl) {
            var $first = $sibling.siblings().first();
            elgg.system_message($sibling.text());

            $match.fadeOut('fast', 'swing', function() {

                if ($first.length && remove && ($first.attr('data-guid') == $match.attr('data-guid'))) {
                    // we are removing the match, and the match is the only one left
                    $sibling.show();
                    $match.remove();
                    return;
                }
                
                $first.show();
                
                if (remove) {
                    $match.remove();
                }
            });
            window.nextprofile = 0;
            return;
        }

        $match.fadeOut('fast', 'swing', function() {
            $sibling.show();
            if (remove) {
                $match.remove();
            }
        });
        
        // allow the function to be called again
        window.nextprofile = 0;
    };

});