<?php
/**
 * Show the user with a bit more info
 */

$sort = get_input('sort', 'last_visit');

$widget_view = isset($vars['widget_view']) ? $vars['widget_view'] : false;
$entity = $vars['entity'];
$url = $entity->getURL();

$size = $widget_view ? 'small' : 'medium';
$icon = elgg_view_entity_icon($entity, $size);

$age = mfp_get_age_from_time($entity->birthday);
$name_age = "<a href=\"$url\">$entity->name, $age</a>";
$city = ucwords($entity->city);
$location = $entity->state_nation;

if ($city && $location) {
	$location = "$city, $location";
} elseif ($city && !$location) {
	$location = $city;
} elseif ($location && !$city) {
	$location = $location;
}

$headline = $entity->headline;
$headline_link = elgg_view('output/url', array(
	'href' => $url,
	'text' => $headline,
	'is_trusted' => true
));
$excerpt = elgg_get_excerpt($entity->about_me);

$gender = $entity->gender;
// if (is_array($gender)) {
// 	$gender = implode(' or ', $gender);
// }

$seeking_gender = $entity->seeking_gender;
if (is_array($seeking_gender)) {
	$seeking_gender = array_filter(array_unique($seeking_gender));
	$seeking_gender = implode(' / ', $seeking_gender);
}

$seeking_relationship = $entity->seeking_relationship;
if (is_array($seeking_relationship)) {
	$seeking_relationship = array_filter(array_unique($seeking_relationship));
	$seeking_relationship = implode(' / ', $seeking_relationship);
}

if ($gender && $seeking_gender && $seeking_relationship) {
	$seeking = "$gender seeking $seeking_gender for $seeking_relationship";
} else {
	$seeking = '';
}

switch ($sort) {
	case 'newest':
		$time = elgg_view_friendly_time($entity->time_created);
		$time = elgg_echo('mfp:search:time_created', array($time));
		break;

	case 'last_visit':
	default:
		if (!$entity->last_login) {
			$time = elgg_echo('several months ago');
		} else {
			$time = elgg_view_friendly_time($entity->last_login);
			$time = elgg_echo('mfp:search:last_login', array($time));
		}
		break;
}

if ($widget_view) {
	$body = <<<___HTML
<div class="elgg-river-timestamp">$location
$time<br />
</div>
$seeking
___HTML;
	
	$block = elgg_view_image_block($icon, $body);
	
	echo elgg_view_module('aside', $name_age, $block, array(
		'class' => 'mhs mvm'
	));
} else {
	$body = <<<___HTML
<div class="elgg-river-timestamp">$location
$time<br />
$seeking<br />
</div>

<div class="ptm">$excerpt</div>
___HTML;
	
	$block = elgg_view_image_block($icon, $body);

	$title = "$name_age - $headline_link";
	
	echo elgg_view_module('aside', $title, $block, array(
		'class' => 'mhs mvm'
	));
}