<?php
/**
 * Elgg search listing
 *
 * @package Elgg
 * @subpackage Core
 */

if (!$vars['params']['mfp_list']) {
	echo elgg_view('search/list', $vars);
	return;
}

if (get_input('mfp_matches', false)) {
	echo elgg_view('search/mfp_search/matches', $vars);
	return;
}

$entities = $vars['results']['entities'];
$count = $vars['results']['count'] - count($entities);

if (!is_array($entities) || !count($entities)) {
	return FALSE;
}

// we can use the same as the original query because the offset,
// count, and limit will be corrected in the nav view.
$url = rtrim($vars['url'], '/') . $_SERVER['REQUEST_URI'];
//$url = elgg_get_site_url() . $_SERVER['REQUEST_URI'];

// allow overrides for titles
$search_type_str = elgg_echo("search_types:{$vars['params']['search_type']}");

if (array_key_exists('search_type', $vars['params'])
	&& $search_type_str != "search_types:{$vars['params']['search_type']}") {

	$type_str = $search_type_str;
}

// get pagination;
$nav .= elgg_view('navigation/pagination',array(
	'base_url' => $url,
	'offset' => $vars['params']['offset'],
	'count' => $vars['results']['count'],
	'limit' => $vars['params']['limit'],
));

$body = elgg_view_title($type_str);

foreach ($entities as $entity) {
	if ($view = search_get_search_view($vars['params'], 'entity')) {
		$body .= elgg_view($view, array(
			'entity' => $entity,
			'params' => $vars['params'],
			'results' => $vars['results']
		));
	}
}
echo $body;
echo $more_link;
echo $nav;
