<?php

elgg_require_js('mfp_search/jquery-mobile-events');
elgg_require_js('mfp_search/matches');

$entities = $vars['results']['entities'];
$count = $vars['results']['count'] - count($entities);

$offset = max(array(0, (int) get_input('offset', 0)));
$limit = max(array(1, (int) get_input('limit', 10)));

$next_url = elgg_http_add_url_query_elements(current_page_url(), array(
	'limit' => $limit,
	'offset' => $offset + $limit,
	'getmore' => 1
));

// are we in a callback fetching more profiles?
$getmore = ((bool) get_input('getmore', false) || elgg_is_xhr());

if (!$getmore) {
	echo '<ul class="mfp-matches">';
}

if (!is_array($entities) || !count($entities)) {
	echo '<li class="matches-match hidden" data-next="">';
	echo '<h2>There are no more matches for the selected criteria<h2>';
	echo '</li>';
	
	if (!$getmore) {
		echo '</ul>';
	}
	else {
		exit;
	}
}

// we have entities to render
foreach ($entities as $e) {
	echo '<li class="matches-match hidden" data-next="' . $next_url . '" data-guid="' . $e->guid . '">';
	echo '<div class="matches-match-wrapper" data-guid="' . $e->guid . '">';
	echo '<center><h2>Newest Matches</h2></center>';
	echo '<div class="loader"></div>';
	echo elgg_view_entity_icon($e, 'xl', array(
		'use_hover' => false,
        'class' => 'matches-profile'
	));
	echo '</div>';
	echo '<div class="matches-nav">';
	echo elgg_view('output/url', array(
		'text' => 'Next Profile',
		'href' => '#',
		'class' => 'matches-nextprofile',
	));
	
	echo elgg_view('output/url', array(
		'text' => 'Report This',
		'href' => 'reportedcontent/add?address=' . urlencode($e->getURL()),
		'class' => 'matches-report',
	));
	
	echo elgg_view('output/url', array(
		'text' => 'Add Crush',
		'href' => 'action/crushes/add?crushing_on_guid=' . $e->guid,
		'class' => 'matches-addcrush',
		'is_action' => true
	));
	echo '</div>';
	echo '<div class="matches-nav">Next? Slide Left. Crush? Slide Right.</div>';
//	echo '</div>';
	echo '</li>';
}

if (!$getmore) {
	echo '</ul>';
}
else {
	exit;
}